
input, button {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;

    border: none;
    background: none;
    outline: none;
    padding: 0;
    margin: 0;

    font: inherit;
    color: inherit;
}

formulaire {
    width: 250px;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.263);
}


formulaire > form {
    
}

formulaire > form > div {
    display: flex;
    flex-direction: column;
    color: white;
}

formulaire > form > div > span {

}

formulaire > form > div > input {

}



login {
    display: flex;
    flex-direction: column;
    place-self: center;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 30%;
    min-width: 300px;
    max-width: 100%;
    gap: 20px;
    color:white;
}

login img {
    height: 200px;
}

login > content {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

login > content > div {
    display: flex;
    background-color: #ffffff40;
    justify-content: space-between;
    padding: 10px 15px;
    border-radius: 5px;
    gap: 50px;
}

login > content > a {
    text-align: center;
}

login > form {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 5px;
}

login > form > div {
    display: flex;
    flex-direction: column;
    color: white;
    position: relative;
}

login > form > div > span,
login > form > div > label {
    position: absolute;
    text-transform: uppercase;
    font-size: 14px;
    place-self: center;
    top: 10px;
}

login > form > div > input[checkbox] {
    display: none;
}

login > form > div:has(input[type="checkbox"]:checked) {
    background-color: #008502;
}

login > form > div > input,
login > form > div > textarea,
login > form > div > select {
    background-color: #ffffff40;
    padding: 30px 20px;
    padding-bottom: 10px;
    border-radius: 5px;
    text-align: center;
}

login > form > div > select {
    color: white;
}

login > form > div > select > option {
    background-color: #292929;
}

login > form > div > textarea {
    height: 300px;
    text-align: left;
}

login > form > btnblock {
    display: flex;
    gap: 5px;
}

login > form > btnblock > button {
    flex: 1;
}

login > form > btnblock > button,
login > form > btnblock > a,
login > content > a {
    background-color: #cfcfcf69;
    padding: 10px;
    text-transform: uppercase;
    border-radius: 5px;
    color: white;
}







statuspage {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: white;
}

statuspage > titre {
    font-size: 70px;
    font-weight: bold;
}

statuspage > desc {
    font-size: 25px;
}


homelinks {
    display: flex;
    flex-direction: column;
    margin: 20px;
    gap: 20px;
}

homelinks > div {
    display: flex;
    gap: 20px;
}

homelinks > div > span {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    gap: 20px;
}

homelinks > div > span:first-child {

}

homelinks > div > span:last-child {
    
}

homelinks > div > span > a {
    background-color: #ffffff24;
    padding: 10px 30px;
    color: white;
    border-radius: 5px; 
}


offers-content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 60%;
}


offer-vps {
    display: flex;
    flex-direction: column;
    width: 250px;
    color: white;
    padding: 5px;
    background-color: #ffffff0f;
    border-radius: 5px;
}

offer-vps[rupture] {
    background-color: #ff00000f;
}

offer-vps > top {
    background-color: #c7c7c736;
    display: flex;
    flex-direction: column;
    align-items: center;
    line-height: 1;
    padding: 20px 10px;
    border-radius: 5px;
}

offer-vps > top > div {
    
}

offer-vps > top > div:first-child {
    font-size: 28px;
    font-weight: bold;
    padding-bottom: 10px;
    margin-bottom: 12px;
    border-bottom: 1px solid #777777;
    text-transform: uppercase;
}

offer-vps > top > div:last-child {
    
}

offer-vps > top > div > span {
    
}

offer-vps > top > div > span:first-child {
    font-size: 20px;
    font-weight: bold;
}

offer-vps > top > div > span:last-child {
    
}

offer-vps > central {
    /* background-color: #9595958a; */
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 5px 0;
}

offer-vps > central > div {
    display: flex;
    justify-content: space-between;
    background-color: #7d7d7d2e;
    padding: 10px 15px;
    border-radius: 5px;
}

offer-vps > central > div > span {

}

offer-vps > central > div > span:first-child {

}

offer-vps > central > div > span:last-child {
    font-weight: bold;
}

offer-vps > bottom {
    display: flex;
}

offer-vps > bottom > a {
    background-color: #91919163;
    flex: 1;
    color: white;
    padding: 15px 10px;
    border-radius: 5px;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
}


offer {
    display: flex;
    flex-direction: column;
}

offer > div {
    display: flex;
}

offer > div > a,
offer > div > span  {
    background-color: #5f5f5f7d;
    color: white;
    padding: 5px 10px;
    place-self: flex-start;
    margin: 0 5px;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px; 
}

offer > div > span {
   background-color: #19bc007d; 
}

offer > div > span[sub] {
    background-color: #0093b07d;
}

offer > div > span[expire] {
    border:1px solid red;
}


vminfos {
    display: flex;
    flex-direction: column;
    width: 300px;
    color: white;
    border-radius: 5px;
    overflow: hidden;
}

vminfos > top {
    background-color: gray;
    text-align: center;
    padding: 5px 0;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: bold;
}

vminfos > top.running,
vminfos > top.online {
    background-color: rgb(0 183 15 / 39%);
}
vminfos > top.stopped {
   background-color: rgb(122 0 0 / 39%); 
}

vminfos > central {
    display: flex;
    flex-direction: column;
    background-color: #adadad42;
}

vminfos > central > vital {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    height: 25px;
}
vminfos > central > vital > div {
    font-size: 13px;
    display: flex;
    justify-content: space-between;
    padding: 0px 10px;
    z-index: 1;
}

vminfos > central > vital > div > span {
    flex: 1;
    text-align: center;
    white-space: nowrap;
}

vminfos > central > vital > div > span:first-child {
    text-align: left;
}
vminfos > central > vital > div > span:last-child {
    text-align: right;
}

vminfos > central > vital > bar {
    height: 100%;
    width: 100%;
    overflow: hidden;
    position: absolute;
}

vminfos > central > vital > bar > inbar {
    height: 100%;
    background-color: #c5c5c563;
    display: flex;
    transition: all linear 1s;
}

vminfos > bottom {
    display: flex;
    flex-direction: column;
}

vminfos > bottom > hostname {
    background-color: #9b9b9b63;
    text-align: center;
    line-height: 1;
    font-size: 14px;
    padding: 3px;
}

vminfos > bottom > actions {
    font-size: 14px;
}

vminfos > bottom > actions > div,
vminfos > bottom > actions > a {
    display: block;
    text-align: center;
    text-transform: uppercase;
    padding: 7px;
    background-color: #696969;
    color:white;
}



flex-content {
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    gap: 20px;
}

flex-column {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 20px;
    gap: 20px;
}

flex-column > a > img {
    height: 300px;
}


offerinfos {
    display: flex;
    background-color: #4b4b4b3d;
    color: white;
    padding: 15px;
    gap: 15px;
    border-radius: 5px;
}

offerinfos > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #9393933d;
    padding: 10px 15px;
    flex: 1;
    border-radius: 5px;
}

offerinfos > div[red] {
    background-color: #9600003d;
}

offerinfos > div[green] {
    background-color: #09b6003d; 
}

offerinfos > div > span {

}

offerinfos > div > span:first-child {
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 1px;
}





iplist {
    display: flex;
    flex-direction: column;
    color:white;
}

iplist > div {
    background-color: #31313117;
    font-size: 25px;
    padding: 10px 20px;
    text-transform: uppercase;
    font-weight: bold;
}

iplist > table {

}

iplist > table tr {

}

iplist > table tr:nth-child(odd) {
    background-color: #cfcfcf4a;
}

iplist > table tr:nth-child(even) {
    background-color: #8d8d8d4a;
}

iplist > table tr > td {
    padding: 5px 15px;
}

iplist > table tr > td[used] {
    background-color:#0062ff33;
}

iplist > table tr > td[alert] {
   background-color:#ffaf0026; 
}

iplist > table tr > td > a {
    color: white;
    text-transform: uppercase;
}


user {
    display: flex;
    flex-direction: column;
    background-color: #73737347;
    color: white;
    padding: 10px 15px;
}

user > div {

}


gameserver {
    color: white;
    background-color: #8181814d;
    width: 300px;
    padding: 10px 15px;
    border-radius: 5px;
}

gameserver[orange] {
    background-color: #956b004d; 
}

gameserver > div {
    display: flex;
    justify-content: space-between;
}

gameserver > div > span {
    
}

gameserver > div > span:first-child {
    text-transform: uppercase;
}

gameserver > a {
    background-color: #cfcfcf33;
    padding: 5px;
    text-transform: uppercase;
    border-radius: 5px;
    color: white;
    display: flex;
    justify-content: center;
    margin-top: 5px;
}


customer {
    display: flex;
    flex-direction: column;
    background-color: #63636354;
    color: white;
    padding: 10px 15px;
    border-radius: 5px;
    width: 300px;
    overflow: hidden;
}

customer > div {
    display: flex;
    flex-direction: column;
}

customer > div > span {

}

customer > offers {
    display: flex;
    font-size: 12px;
    gap: 5px;
}

customer > offers > a {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5px;
    color: white;
    flex: 1;
    border-radius: 5px;
    background-color: #008502;
}

customer > offers > a[expire] {
    border: 1px solid red;
}

customer > offers > a[sub] {
    background-color: #008585;
}

customer > offers > a > span {
    white-space: nowrap;
}


invoice {
    display: flex;
    flex-direction: column;
    background-color: #95959557;
    color: white;
    padding: 10px 15px;
    border-radius: 5px;
}

invoice > titre {
    border-bottom: 1px solid white;
    padding-bottom: 5px;
    margin-bottom: 5px;
}

invoice > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

invoice > div > span {

}

invoice > div > span:first-child {
    font-weight: bold;
}


stats {
    
}

weboverview {
    display: table;
    color:white;
}

weboverview > tr {

}

weboverview > tr:nth-child(odd) {
    background-color: #6b6b6b57;
}

weboverview > tr:nth-child(even) {
    background-color: #9b9b9b57;
}

weboverview > tr > td {
    padding: 5px 10px;
}